Chat9
APIKnowledge

List Knowledge Faq

GET
/api/v1/knowledge/faq
/api/v1/knowledge/faq

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

Query Parameters

approvedApproved

Default: "all"Value in: "true" | "false" | "all"

sourceSource

Default: "all"Value in: "docs" | "logs" | "swagger" | "gap_analyzer" | "all"

limitLimit

Default: 50Minimum: 1Maximum: 200

offsetOffset

Default: 0Minimum: 0
curl -X GET "https://api.getchat9.live/api/v1/knowledge/faq?approved=true&source=docs&limit=50&offset=0" \
  -H "Authorization: Bearer <token>"

Successful Response

{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "question": "string",
      "answer": "string",
      "confidence": 0,
      "source": "string",
      "approved": true,
      "created_at": "2019-08-24T14:15:22Z",
      "gap_source_id": "640ca87a-3b05-4e02-ac94-53fa3690a13d"
    }
  ],
  "total": 0,
  "pending_count": 0
}